SystemOrganization addCategory: #ConfigurationOfManifestoBrowser!

Object subclass: #ConfigurationOfManifestoBrowser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfManifestoBrowser'!

!ConfigurationOfManifestoBrowser class methodsFor: 'development support' stamp: 'AngelNunez 10/3/2011 10:25'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfManifestoBrowser class methodsFor: 'private' stamp: 'AngelNunez 10/3/2011 10:25'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfManifestoBrowser class methodsFor: 'private' stamp: 'AngelNunez 10/3/2011 10:25'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfManifestoBrowser class methodsFor: 'private' stamp: 'AngelNunez 10/3/2011 10:25'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfManifestoBrowser class methodsFor: 'metacello tool support' stamp: 'AngelNunez 10/3/2011 10:25'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfManifestoBrowser class methodsFor: 'loading' stamp: 'AngelNunez 10/3/2011 10:25'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfManifestoBrowser class methodsFor: 'loading' stamp: 'AngelNunez 10/3/2011 10:25'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfManifestoBrowser class methodsFor: 'loading' stamp: 'AngelNunez 10/3/2011 10:25'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfManifestoBrowser class methodsFor: 'accessing' stamp: 'AngelNunez 10/3/2011 10:25'!
project

	^self new project! !

!ConfigurationOfManifestoBrowser class methodsFor: 'development support' stamp: 'AngelNunez 10/3/2011 10:25'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfManifestoBrowser methodsFor: 'baselines' stamp: 'AngelNunez 10/3/2011 10:25'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/ManifestoBrowser'.
		spec package: 'ManifestoBrowser'.
		spec group: 'default' with: #('ManifestoBrowser' ). ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'symbolic versions' stamp: 'AngelNunez 10/3/2011 10:25'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfManifestoBrowser methodsFor: 'accessing' stamp: 'AngelNunez 10/3/2011 10:25'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/3/2011 10:26'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : Added some rules nodes'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/3/2011 10:26'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.2'. ].
! !
